Create a Project-owned Automation
curl --request POST \
--url https://api.checkfu.com/v1/projects/{id}/automations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'checkfu-version: <checkfu-version>' \
--data '
{
"name": "<string>",
"created_by": "<string>",
"identity": {
"acted_as": "<string>"
},
"environment_id": "<string>",
"target": {
"kind": "agent_definition",
"agent": {
"type": "agent",
"id": "<string>",
"version": 1
},
"agent_deployment_id": "<unknown>",
"agent_deployment_revision_selection": "<unknown>"
},
"trigger": {
"kind": "schedule",
"cron": "<string>",
"timezone": "<string>",
"dedupe_key": "<unknown>",
"source": "<unknown>",
"filter": "<unknown>"
},
"input": {
"kind": "snapshot",
"prompt": "<string>",
"delivery_screen": {
"model_routing_profile_key": "<string>",
"instructions": "<string>"
},
"resources": [
{
"kind": "file_tree",
"file_tree_id": "<string>",
"mount_path": "<string>",
"version_policy": {
"kind": "latest"
},
"writeback": null
}
],
"prompt_template": "<unknown>"
},
"description": "<string>",
"external_id": "<string>",
"connected_runtime": "<string>",
"metadata": {},
"collaboration_space_id": "<string>",
"ingest_secret": "<unknown>"
}
'import requests
url = "https://api.checkfu.com/v1/projects/{id}/automations"
payload = {
"name": "<string>",
"created_by": "<string>",
"identity": { "acted_as": "<string>" },
"environment_id": "<string>",
"target": {
"kind": "agent_definition",
"agent": {
"type": "agent",
"id": "<string>",
"version": 1
},
"agent_deployment_id": "<unknown>",
"agent_deployment_revision_selection": "<unknown>"
},
"trigger": {
"kind": "schedule",
"cron": "<string>",
"timezone": "<string>",
"dedupe_key": "<unknown>",
"source": "<unknown>",
"filter": "<unknown>"
},
"input": {
"kind": "snapshot",
"prompt": "<string>",
"delivery_screen": {
"model_routing_profile_key": "<string>",
"instructions": "<string>"
},
"resources": [
{
"kind": "file_tree",
"file_tree_id": "<string>",
"mount_path": "<string>",
"version_policy": { "kind": "latest" },
"writeback": None
}
],
"prompt_template": "<unknown>"
},
"description": "<string>",
"external_id": "<string>",
"connected_runtime": "<string>",
"metadata": {},
"collaboration_space_id": "<string>",
"ingest_secret": "<unknown>"
}
headers = {
"checkfu-version": "<checkfu-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'checkfu-version': '<checkfu-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
created_by: '<string>',
identity: {acted_as: '<string>'},
environment_id: '<string>',
target: {
kind: 'agent_definition',
agent: {type: 'agent', id: '<string>', version: 1},
agent_deployment_id: '<unknown>',
agent_deployment_revision_selection: '<unknown>'
},
trigger: {
kind: 'schedule',
cron: '<string>',
timezone: '<string>',
dedupe_key: '<unknown>',
source: '<unknown>',
filter: '<unknown>'
},
input: {
kind: 'snapshot',
prompt: '<string>',
delivery_screen: {model_routing_profile_key: '<string>', instructions: '<string>'},
resources: [
{
kind: 'file_tree',
file_tree_id: '<string>',
mount_path: '<string>',
version_policy: {kind: 'latest'},
writeback: null
}
],
prompt_template: '<unknown>'
},
description: '<string>',
external_id: '<string>',
connected_runtime: '<string>',
metadata: {},
collaboration_space_id: '<string>',
ingest_secret: '<unknown>'
})
};
fetch('https://api.checkfu.com/v1/projects/{id}/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"workspace_id": "<string>",
"version": 1,
"name": "<string>",
"description": "<string>",
"external_id": "<string>",
"created_by": "<string>",
"identity": {
"acted_as": "<string>"
},
"environment_id": "<string>",
"connected_runtime": "<string>",
"status": "active",
"paused_reason": {
"kind": "manual",
"error_type": "<unknown>"
},
"last_run_at": "<string>",
"last_session_id": "<string>",
"last_run_id": "<string>",
"next_run_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"target": {
"kind": "agent_definition",
"agent": {
"type": "agent",
"id": "<string>",
"version": 1
},
"agent_deployment_id": "<unknown>",
"agent_deployment_revision_selection": "<unknown>",
"budget": {
"limit": 1,
"metric": "model_tokens"
}
},
"collaboration_space_id": "<string>",
"trigger": {
"kind": "schedule",
"cron": "<string>",
"timezone": "<string>",
"dedupe_key": "<unknown>",
"source": "<unknown>",
"filter": "<unknown>"
},
"input": {
"kind": "snapshot",
"prompt": "<string>",
"outcome": {
"rubric": "<string>",
"max_iterations": 10,
"deliverables": [
"<string>"
],
"report": {
"extraction": "json",
"outputs": [
{
"key": "<string>",
"title": "<string>",
"type": "string",
"description": "<string>",
"acceptance": {
"kind": "one_of",
"values": [
"<string>"
]
}
}
]
}
},
"flow_review": {
"model_routing_profile_key": "<string>",
"criteria": [
{
"key": "<string>",
"description": "<string>",
"severity": "low"
}
],
"tier": "default"
},
"delivery_screen": {
"model_routing_profile_key": "<string>",
"instructions": "<string>",
"tier": "default",
"failure": "fail_open"
},
"resources": [
{
"kind": "file_tree",
"file_tree_id": "<string>",
"mount_path": "<string>",
"version_policy": {
"kind": "latest"
},
"access": "read_only",
"writeback": null
}
],
"prompt_template": "<unknown>"
},
"metadata": {}
}{
"error": {
"type": "validation.malformed",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-malformed"
}
}{
"error": {
"type": "auth.invalid_key",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-invalid-key"
}
}{
"error": {
"type": "auth.disabled_tenancy",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#auth-disabled-tenancy"
}
}{
"error": {
"type": "validation.not_found",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-not-found"
}
}{
"error": {
"type": "validation.conflict",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#validation-conflict"
}
}{
"error": {
"type": "budget.exceeded",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#budget-exceeded"
}
}{
"error": {
"type": "runtime.internal",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#runtime-internal"
}
}{
"error": {
"type": "memory.backend_unavailable",
"message": "<string>",
"more": "https://docs.checkfu.com/reference/errors#memory-backend-unavailable"
}
}Create a Project-owned Automation
Create one Automation whose target is this Project and record it on owned_automation_ids for teardown.
POST
/
v1
/
projects
/
{id}
/
automations
Create a Project-owned Automation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
2026-08-31 Maximum string length:
255Path Parameters
Pattern:
^proj_[0-9a-f]{32}$Body
application/json
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
Required string length:
1 - 255Pattern:
^prin_[0-9a-f]{32}$Show child attributes
Show child attributes
Pattern:
^env_[0-9a-f]{32}$Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required string length:
1 - 4096Pattern:
^[a-z0-9](?:[a-z0-9._-]{0,93})$Pattern:
^crt_[0-9a-f]{32}$at most 16 correlation pairs with keys of 1 to 64 characters
Show child attributes
Show child attributes
Pattern:
^cspace_[0-9a-f]{32}$Response
Automation
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
Pattern:
^auto_[0-9a-f]{32}$Pattern:
^wrkspc_[0-9a-f]{32}$Required range:
x > 0Required string length:
1 - 255Required string length:
1 - 4096Pattern:
^[a-z0-9](?:[a-z0-9._-]{0,93})$Pattern:
^prin_[0-9a-f]{32}$Show child attributes
Show child attributes
Pattern:
^env_[0-9a-f]{32}$Pattern:
^crt_[0-9a-f]{32}$Available options:
active, paused - Option 1
- Option 2
Show child attributes
Show child attributes
Pattern:
^sess_[0-9a-f]{32}$Pattern:
^run_[0-9a-f]{32}$Show child attributes
Show child attributes
Pattern:
^cspace_[0-9a-f]{32}$Show child attributes
Show child attributes
Show child attributes
Show child attributes
at most 16 correlation pairs with keys of 1 to 64 characters
Show child attributes
Show child attributes